Check in a page without saving
DELETE
/cms/print/v2/subpages/{id}/lock
const url = 'https://api.example.com/cms/print/v2/subpages/1/lock?force=1';const options = { method: 'DELETE', headers: {'API-Key': '<API-Key>', 'Token-User': '<Token-User>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.example.com/cms/print/v2/subpages/1/lock?force=1' \ --header 'API-Key: <API-Key>' \ --header 'Token-User: <Token-User>'Releases this client’s check-out. With ?force=1, releases anyone’s (needs “Print - Force check-in story”); their unsaved work stays on their computer and their next save gets REVISION_CONFLICT or NOT_LOCKED.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Query Parameters
Section titled “Query Parameters”force
string
Responses
Section titled “Responses”Released
NOT_LOCKED: not checked out by this client